!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-08-04 12:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_2550) = Nc*(-3d0*cima*coupl(nGC_13)*coupl(nGC_1466)*coupl(nGC_836&
                      )**2d0*sq2**2d0 - 3d0*cima*coupl(nGC_13)*coupl(nGC_4)*   &
                      coupl(nGC_836)**2d0*sq2**2d0 + 12d0*cima*coupl(nGC_1466)*&
                      coupl(nGC_376) - 30d0*cima*coupl(nGC_1466)*coupl(nGC_478 &
                      )*coupl(nGC_836)**2d0*sq2**2d0 - 3d0*cima*coupl(nGC_1468 &
                      )*coupl(nGC_478)*coupl(nGC_836)**2d0*sq2**2d0 - 3d0*cima*&
                      coupl(nGC_1474)*coupl(nGC_478)*coupl(nGC_836)**2d0*sq2** &
                      2d0 - 3d0*cima*coupl(nGC_1476)*coupl(nGC_478)*coupl(     &
                      nGC_836)**2d0*sq2**2d0 - 3d0*cima*coupl(nGC_368)*coupl(  &
                      nGC_478)*coupl(nGC_836)**2d0*sq2**2d0 + 12d0*cima*coupl( &
                      nGC_376)*coupl(nGC_4) - 30d0*cima*coupl(nGC_4)*coupl(    &
                      nGC_478)*coupl(nGC_836)**2d0*sq2**2d0 - 8d0*cima*coupl(  &
                      nGC_830)*coupl(nGC_836)**3d0*sq2**4d0 - 6d0*coupl(nGC_13 &
                      )*coupl(nGC_1466)*coupl(nGC_4) + coupl(nGC_13)*coupl(    &
                      nGC_836)**4d0*sq2**4d0 - 6d0*coupl(nGC_1466)*coupl(      &
                      nGC_1474)*coupl(nGC_478) - 6d0*coupl(nGC_1466)*coupl(    &
                      nGC_1476)*coupl(nGC_478) - 48d0*coupl(nGC_1466)*coupl(   &
                      nGC_4)*coupl(nGC_478) - 6d0*coupl(nGC_1466)*coupl(nGC_830&
                      )*coupl(nGC_836)*sq2**2d0 - 3d0*coupl(nGC_1468)**2d0*    &
                      coupl(nGC_478) - 6d0*coupl(nGC_1468)*coupl(nGC_4)*coupl( &
                      nGC_478) - 3d0*coupl(nGC_1474)**2d0*coupl(nGC_478) - 3d0*&
                      coupl(nGC_1476)**2d0*coupl(nGC_478) - 3d0*coupl(nGC_368  &
                      )**2d0*coupl(nGC_478) - 6d0*coupl(nGC_368)*coupl(nGC_4)* &
                      coupl(nGC_478) - 12d0*coupl(nGC_376)*coupl(nGC_836)**2d0*&
                      sq2**2d0 - 18d0*coupl(nGC_4)*coupl(nGC_830)*coupl(nGC_836&
                      )*sq2**2d0 + 12d0*coupl(nGC_478)*coupl(nGC_836)**4d0*sq2 &
                      **4d0)/(384d0*pi**2d0)
    coupl(nGC_2551) = Nc*(-8d0*cima*coupl(nGC_830)*coupl(nGC_836)**3d0*sq2**4d0&
                       + coupl(nGC_13)*coupl(nGC_836)**4d0*sq2**4d0 - 12d0*    &
                      coupl(nGC_1468)*coupl(nGC_368)*coupl(nGC_478) - 12d0*    &
                      coupl(nGC_1474)*coupl(nGC_1476)*coupl(nGC_478) + 12d0*   &
                      coupl(nGC_478)*coupl(nGC_836)**4d0*sq2**4d0)/(384d0*pi** &
                      2d0)
    coupl(nGC_2484) = cima*sq2**2d0*(-Nc*coupl(nGC_836)**2d0 + 5d0*coupl(nGC_3 &
                      )**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_2539) = (cima*coupl(nGC_13)*coupl(nGC_1466)*coupl(nGC_836)**2d0* &
                      sq2**2d0 + cima*coupl(nGC_13)*coupl(nGC_1474)*coupl(     &
                      nGC_836)**2d0*sq2**2d0 + cima*coupl(nGC_13)*coupl(nGC_4)*&
                      coupl(nGC_836)**2d0*sq2**2d0 - 2d0*cima*coupl(nGC_1466)* &
                      coupl(nGC_382) + 10d0*cima*coupl(nGC_1466)*coupl(nGC_478 &
                      )*coupl(nGC_836)**2d0*sq2**2d0 + cima*coupl(nGC_1468)*   &
                      coupl(nGC_478)*coupl(nGC_836)**2d0*sq2**2d0 - 4d0*cima*  &
                      coupl(nGC_1474)*coupl(nGC_376) + 11d0*cima*coupl(nGC_1474&
                      )*coupl(nGC_478)*coupl(nGC_836)**2d0*sq2**2d0 + cima*    &
                      coupl(nGC_1476)*coupl(nGC_478)*coupl(nGC_836)**2d0*sq2** &
                      2d0 + cima*coupl(nGC_1486)*coupl(nGC_478)*coupl(nGC_836  &
                      )**2d0*sq2**2d0 + cima*coupl(nGC_1488)*coupl(nGC_478)*   &
                      coupl(nGC_836)**2d0*sq2**2d0 + cima*coupl(nGC_368)*coupl(&
                      nGC_478)*coupl(nGC_836)**2d0*sq2**2d0 - 2d0*cima*coupl(  &
                      nGC_382)*coupl(nGC_4) + 10d0*cima*coupl(nGC_4)*coupl(    &
                      nGC_478)*coupl(nGC_836)**2d0*sq2**2d0 + 8d0*cima*coupl(  &
                      nGC_830)*coupl(nGC_836)**3d0*sq2**4d0 + coupl(nGC_13)*   &
                      coupl(nGC_1466)*coupl(nGC_1474) + coupl(nGC_13)*coupl(   &
                      nGC_1474)*coupl(nGC_4) - coupl(nGC_13)*coupl(nGC_836)**  &
                      4d0*sq2**4d0 + 8d0*coupl(nGC_1466)*coupl(nGC_1474)*coupl(&
                      nGC_478) + coupl(nGC_1466)*coupl(nGC_1486)*coupl(nGC_478 &
                      ) + coupl(nGC_1466)*coupl(nGC_1488)*coupl(nGC_478) + 4d0*&
                      coupl(nGC_1466)*coupl(nGC_830)*coupl(nGC_836)*sq2**2d0 + &
                      coupl(nGC_1468)*coupl(nGC_1474)*coupl(nGC_478) + coupl(  &
                      nGC_1468)*coupl(nGC_1486)*coupl(nGC_478) + coupl(nGC_1468&
                      )*coupl(nGC_1488)*coupl(nGC_478) + coupl(nGC_1474)**2d0* &
                      coupl(nGC_478) + coupl(nGC_1474)*coupl(nGC_1476)*coupl(  &
                      nGC_478) + coupl(nGC_1474)*coupl(nGC_1486)*coupl(nGC_478 &
                      ) + coupl(nGC_1474)*coupl(nGC_1488)*coupl(nGC_478) +     &
                      coupl(nGC_1474)*coupl(nGC_368)*coupl(nGC_478) + 8d0*coupl&
                      (nGC_1474)*coupl(nGC_4)*coupl(nGC_478) + 4d0*coupl(      &
                      nGC_1474)*coupl(nGC_830)*coupl(nGC_836)*sq2**2d0 + coupl(&
                      nGC_1476)*coupl(nGC_1486)*coupl(nGC_478) + coupl(nGC_1476&
                      )*coupl(nGC_1488)*coupl(nGC_478) + coupl(nGC_1486)*coupl(&
                      nGC_368)*coupl(nGC_478) + coupl(nGC_1486)*coupl(nGC_4)*  &
                      coupl(nGC_478) + coupl(nGC_1488)*coupl(nGC_368)*coupl(   &
                      nGC_478) + coupl(nGC_1488)*coupl(nGC_4)*coupl(nGC_478) + &
                      4d0*coupl(nGC_376)*coupl(nGC_836)**2d0*sq2**2d0 + 2d0*   &
                      coupl(nGC_382)*coupl(nGC_836)**2d0*sq2**2d0 + 4d0*coupl( &
                      nGC_4)*coupl(nGC_830)*coupl(nGC_836)*sq2**2d0 - 12d0*    &
                      coupl(nGC_478)*coupl(nGC_836)**4d0*sq2**4d0)/(128d0*pi** &
                      2d0)
    coupl(nGC_2481) = cima*sq2**2d0*(Nc*coupl(nGC_836)**2d0 - 5d0*coupl(nGC_3  &
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_2514) = (-2d0*cima*coupl(nGC_10)*coupl(nGC_1474) - 20d0*cima*    &
                      coupl(nGC_1474)*coupl(nGC_52) - 2d0*cima*coupl(nGC_1486)*&
                      coupl(nGC_52) - 2d0*cima*coupl(nGC_1488)*coupl(nGC_52) + &
                      coupl(nGC_10)*coupl(nGC_836)**2d0*sq2**2d0 + 40d0*coupl( &
                      nGC_52)*coupl(nGC_836)**2d0*sq2**2d0)/(192d0*pi**2d0)
    coupl(nGC_3876) = coupl(nGC_3718) + coupl(nGC_3871)
    coupl(nGC_3730) = coupl(nGC_3718) + coupl(nGC_3725)
    coupl(nGC_3875) = coupl(nGC_3718) + coupl(nGC_3874)
    coupl(nGC_3832) = coupl(nGC_3718) + coupl(nGC_3827)
    coupl(nGC_3831) = coupl(nGC_3718) + coupl(nGC_3830)
    coupl(nGC_2537) = Nc*(-8d0*cima*coupl(nGC_830)*coupl(nGC_836)**3d0*sq2**4d0&
                       + coupl(nGC_13)*coupl(nGC_836)**4d0*sq2**4d0 - 12d0*    &
                      coupl(nGC_1468)*coupl(nGC_1476)*coupl(nGC_478) - 12d0*   &
                      coupl(nGC_1474)*coupl(nGC_368)*coupl(nGC_478) + 12d0*    &
                      coupl(nGC_478)*coupl(nGC_836)**4d0*sq2**4d0)/(384d0*pi** &
                      2d0)
    coupl(nGC_3685) = coupl(nGC_2565) + 2d0*coupl(nGC_9)*dZg_QCD2
    coupl(nGC_2533) = Nc*coupl(nGC_836)*sq2*(2d0*cima*coupl(nGC_10)*coupl(     &
                      nGC_1466) - 2d0*cima*coupl(nGC_10)*coupl(nGC_4) + 14d0*  &
                      cima*coupl(nGC_1466)*coupl(nGC_52) - 4d0*cima*coupl(     &
                      nGC_1468)*coupl(nGC_52) - 8d0*cima*coupl(nGC_1474)*coupl(&
                      nGC_52) + 4d0*cima*coupl(nGC_1476)*coupl(nGC_52) + 8d0*  &
                      cima*coupl(nGC_368)*coupl(nGC_52) - 14d0*cima*coupl(nGC_4&
                      )*coupl(nGC_52) - 6d0*cima*coupl(nGC_46)*coupl(nGC_836)* &
                      sq2**2d0 + coupl(nGC_10)*coupl(nGC_836)**2d0*sq2**2d0 +  &
                      10d0*coupl(nGC_52)*coupl(nGC_836)**2d0*sq2**2d0)/(384d0* &
                      pi**2d0)
    coupl(nGC_4142) = 3d0*coupl(nGC_14)*dZg_QCD2/2d0 + coupl(nGC_2564)
    coupl(nGC_3761) = 3d0*coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_2563)
    coupl(nGC_3798) = -coupl(nGC_3685)
    coupl(nGC_3719) = coupl(nGC_3716) + coupl(nGC_3718)
    coupl(nGC_3699) = -coupl(nGC_3698)
    coupl(nGC_5943) = -coupl(nGC_2499)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
