!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2020                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-08-04 12:55             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  implicit none
  contains
  subroutine fill_vertices_mdl2()
    use class_vertices
    use class_couplings
    allocate(vertices(599)%branchR2(0:1))
    call avR2(599, 0, 563, 1, 0, VSFaFS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(599, 1, 564, 1, 0, VSFaFS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(600)%branchR2(0:1))
    call avR2(600, 0, 577, 1, 0, FaSSVF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(600, 1, 578, 1, 0, FaSSVF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(601)%branchR2(0:1))
    call avR2(601, 0, 571, 1, 0, VFaSSF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(601, 1, 572, 1, 0, VFaSSF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(602)%branchR2(0:0))
    call avR2(602, 0, 483, 1, 0, FFaSS0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2508, nGC_2508])

    allocate(vertices(135)%branchR2(0:1))
    call avR2(135, 0, 101, 1, 0, VFFa0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(135, 1, 102, 1, 0, VFFa0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(603)%branchR2(0:1))
    call avR2(603, 0, 625, 1, 0, SSVFaF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(603, 1, 626, 1, 0, SSVFaF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(604)%branchR2(0:1))
    call avR2(604, 0, 593, 1, 0, FaFVSS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(604, 1, 594, 1, 0, FaFVSS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(605)%branchR2(0:1))
    call avR2(605, 0, 669, 1, 0, SVFaSF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(605, 1, 670, 1, 0, SVFaSF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(606)%branchR2(0:1))
    call avR2(606, 0, 595, 1, 0, FaVSSF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(606, 1, 596, 1, 0, FaVSSF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(607)%branchR2(0:1))
    call avR2(607, 0, 502, 1, 0, FaSFV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(607, 1, 503, 1, 0, FaSFV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(608)%branchR2(0:1))
    call avR2(608, 0, 655, 1, 0, SFaFVS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(608, 1, 656, 1, 0, SFaFVS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(609)%branchR2(0:1))
    call avR2(609, 0, 583, 1, 0, FaSFSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(609, 1, 584, 1, 0, FaSFSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(610)%branchR2(0:0))
    call avR2(610, 0, 477, 1, 0, SFaFS0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2504, nGC_2504])

    allocate(vertices(611)%branchR2(0:0))
    call avR2(611, 0, 463, 1, 0, SFaF0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2492, nGC_2492])

    allocate(vertices(612)%branchR2(0:0))
    call avR2(612, 0, 482, 1, 0, FSSFa0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2503, nGC_2503])

    allocate(vertices(613)%branchR2(0:1))
    call avR2(613, 0, 599, 1, 0, FaVFSS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(613, 1, 600, 1, 0, FaVFSS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(614)%branchR2(0:1))
    call avR2(614, 0, 524, 1, 0, FFaVS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(614, 1, 525, 1, 0, FFaVS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(615)%branchR2(0:1))
    call avR2(615, 0, 516, 1, 0, SFaVF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(615, 1, 517, 1, 0, SFaVF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(616)%branchR2(0:1))
    call avR2(616, 0, 649, 1, 0, SFaVSF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(616, 1, 650, 1, 0, SFaVSF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(617)%branchR2(0:1))
    call avR2(617, 0, 611, 1, 0, FSVFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(617, 1, 612, 1, 0, FSVFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(618)%branchR2(0:1))
    call avR2(618, 0, 649, 1, 0, SFaVSF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(618, 1, 650, 1, 0, SFaVSF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(619)%branchR2(0:1))
    call avR2(619, 0, 571, 1, 0, VFaSSF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(619, 1, 572, 1, 0, VFaSSF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(620)%branchR2(0:1))
    call avR2(620, 0, 498, 1, 0, FaVFS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(620, 1, 499, 1, 0, FaVFS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(621)%branchR2(0:1))
    call avR2(621, 0, 524, 1, 0, FFaVS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(621, 1, 525, 1, 0, FFaVS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(7)%branchR2(0:1))
    call avR2(7, 0, 0, 1, 0, VVV0, 0, [3, 0], [nGC_5941])

    call avR2(7, 1, 1, 1, 0, VVV0, 0, [3, 0], [nGC_5943])

    allocate(vertices(24)%branchR2(0:1))
    call avR2(24, 0, 95, 1, 0, FVFa0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(24, 1, 96, 1, 0, FVFa0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(622)%branchR2(0:1))
    call avR2(622, 0, 647, 1, 0, SFSFaV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(622, 1, 648, 1, 0, SFSFaV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(623)%branchR2(0:1))
    call avR2(623, 0, 500, 1, 0, FaSVF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(623, 1, 501, 1, 0, FaSVF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(624)%branchR2(0:1))
    call avR2(624, 0, 607, 1, 0, FSFaSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(624, 1, 608, 1, 0, FSFaSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(625)%branchR2(0:1))
    call avR2(625, 0, 637, 1, 0, SFVSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(625, 1, 638, 1, 0, SFVSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(80)%branchR2(0:16))
    call avR2(80, 0, 66, 1, 0, VVVSV0, 0, [6, 1], [nGC_2537, nGC_2536, nGC_2535&
    ])

    call avR2(80, 1, 67, 1, 0, VVVSV0, 0, [6, 1], [nGC_2552, nGC_2552, nGC_2551&
    ])

    call avR2(80, 2, 68, 1, 0, VVVSV0, 0, [6, 1], [nGC_2550, nGC_2549, nGC_2548&
    ])

    call avR2(80, 3, 69, 1, 0, VVVSV0, 0, [6, 1], [nGC_2552, nGC_2552, nGC_2551&
    ])

    call avR2(80, 4, 70, 1, 0, VVVSV0, 0, [6, 1], [nGC_2550, nGC_2549, nGC_2548&
    ])

    call avR2(80, 5, 71, 1, 0, VVVSV0, 0, [6, 1], [nGC_2537, nGC_2536, nGC_2535&
    ])

    call avR2(80, 6, 698, 1, 0, VVVSV0, 0, [6, 1], [nGC_2540, nGC_2539,        &
    nGC_2538])

    call avR2(80, 7, 699, 1, 0, VVVSV0, 0, [6, 1], [nGC_2540, nGC_2539,        &
    nGC_2538])

    call avR2(80, 8, 700, 1, 0, VVVSV0, 0, [6, 1], [nGC_2543, nGC_2547,        &
    nGC_2544])

    call avR2(80, 9, 701, 1, 0, VVVSV0, 0, [6, 1], [nGC_2540, nGC_2539,        &
    nGC_2538])

    call avR2(80, 10, 702, 1, 0, VVVSV0, 0, [6, 1], [nGC_2546, nGC_2545,       &
    nGC_2544])

    call avR2(80, 11, 703, 1, 0, VVVSV0, 0, [6, 1], [nGC_2543, nGC_2542,       &
    nGC_2541])

    call avR2(80, 12, 704, 1, 0, VVVSV0, 0, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    call avR2(80, 13, 705, 1, 0, VVVSV0, 0, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    call avR2(80, 14, 706, 1, 0, VVVSV0, 0, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    call avR2(80, 15, 707, 1, 0, VVVSV0, 0, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    call avR2(80, 16, 708, 1, 0, VVVSV0, 0, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    allocate(vertices(626)%branchR2(0:0))
    call avR2(626, 0, 466, 1, 0, FaSF0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2489, nGC_2489])

    allocate(vertices(627)%branchR2(0:0))
    call avR2(627, 0, 463, 1, 0, SFaF0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2490, nGC_2490])

    allocate(vertices(628)%branchR2(0:1))
    call avR2(628, 0, 625, 1, 0, SSVFaF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(628, 1, 626, 1, 0, SSVFaF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(629)%branchR2(0:1))
    call avR2(629, 0, 613, 1, 0, FFaSVS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(629, 1, 614, 1, 0, FFaSVS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(630)%branchR2(0:1))
    call avR2(630, 0, 577, 1, 0, FaSSVF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(630, 1, 578, 1, 0, FaSSVF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(631)%branchR2(0:1))
    call avR2(631, 0, 579, 1, 0, FaSSFV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(631, 1, 580, 1, 0, FaSSFV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(632)%branchR2(0:1))
    call avR2(632, 0, 514, 1, 0, SFFaV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(632, 1, 515, 1, 0, SFFaV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(633)%branchR2(0:1))
    call avR2(633, 0, 621, 1, 0, FVSFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(633, 1, 622, 1, 0, FVSFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(634)%branchR2(0:1))
    call avR2(634, 0, 637, 1, 0, SFVSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(634, 1, 638, 1, 0, SFVSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(635)%branchR2(0:1))
    call avR2(635, 0, 603, 1, 0, FSSFaV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(635, 1, 604, 1, 0, FSSFaV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(636)%branchR2(0:1))
    call avR2(636, 0, 567, 1, 0, VFSFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(636, 1, 568, 1, 0, VFSFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(637)%branchR2(0:1))
    call avR2(637, 0, 516, 1, 0, SFaVF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(637, 1, 517, 1, 0, SFaVF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(293)%branchR2(0:0))
    call avR2(293, 0, 461, 1, 0, FaF0, 0, [2, 0], [nGC_2475, nGC_2475, nGC_2478&
    , nGC_2478])

    allocate(vertices(149)%branchR2(0:1))
    call avR2(149, 0, 99, 1, 0, FaFV0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(149, 1, 100, 1, 0, FaFV0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(638)%branchR2(0:1))
    call avR2(638, 0, 500, 1, 0, FaSVF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(638, 1, 501, 1, 0, FaSVF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(639)%branchR2(0:0))
    call avR2(639, 0, 465, 1, 0, FFaS0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2488, nGC_2488])

    allocate(vertices(640)%branchR2(0:1))
    call avR2(640, 0, 583, 1, 0, FaSFSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(640, 1, 584, 1, 0, FaSFSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(641)%branchR2(0:1))
    call avR2(641, 0, 520, 1, 0, FVFaS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(641, 1, 521, 1, 0, FVFaS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(642)%branchR2(0:0))
    call avR2(642, 0, 479, 1, 0, SFFaS0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2503, nGC_2503])

    allocate(vertices(643)%branchR2(0:1))
    call avR2(643, 0, 601, 1, 0, FSSVFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(643, 1, 602, 1, 0, FSSVFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(644)%branchR2(0:1))
    call avR2(644, 0, 643, 1, 0, SFFaVS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(644, 1, 644, 1, 0, SFFaVS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(645)%branchR2(0:1))
    call avR2(645, 0, 510, 1, 0, SVFaF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(645, 1, 511, 1, 0, SVFaF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(646)%branchR2(0:1))
    call avR2(646, 0, 645, 1, 0, SFSVFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(646, 1, 646, 1, 0, SFSVFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(72)%branchR2(0:1))
    call avR2(72, 0, 16, 1, 0, VVS1, 0, [4, 1], [nGC_2496, nGC_2496, nGC_2495])

    call avR2(72, 1, 17, 1, 0, VVS1, 0, [4, 1], [nGC_2494, nGC_2494, nGC_2493])

    allocate(vertices(647)%branchR2(0:1))
    call avR2(647, 0, 665, 1, 0, SVFSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(647, 1, 666, 1, 0, SVFSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(648)%branchR2(0:1))
    call avR2(648, 0, 496, 1, 0, FaVSF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(648, 1, 497, 1, 0, FaVSF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(649)%branchR2(0:1))
    call avR2(649, 0, 603, 1, 0, FSSFaV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(649, 1, 604, 1, 0, FSSFaV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(650)%branchR2(0:1))
    call avR2(650, 0, 651, 1, 0, SFaVFS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(650, 1, 652, 1, 0, SFaVFS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(651)%branchR2(0:1))
    call avR2(651, 0, 665, 1, 0, SVFSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(651, 1, 666, 1, 0, SVFSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(652)%branchR2(0:1))
    call avR2(652, 0, 510, 1, 0, SVFaF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(652, 1, 511, 1, 0, SVFaF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(653)%branchR2(0:1))
    call avR2(653, 0, 613, 1, 0, FFaSVS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(653, 1, 614, 1, 0, FFaSVS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(654)%branchR2(0:1))
    call avR2(654, 0, 615, 1, 0, FFaSSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(654, 1, 616, 1, 0, FFaSSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(655)%branchR2(0:1))
    call avR2(655, 0, 593, 1, 0, FaFVSS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(655, 1, 594, 1, 0, FaFVSS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(656)%branchR2(0:1))
    call avR2(656, 0, 625, 1, 0, SSVFaF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(656, 1, 626, 1, 0, SSVFaF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(657)%branchR2(0:1))
    call avR2(657, 0, 631, 1, 0, SSFaFV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(657, 1, 632, 1, 0, SSFaFV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(658)%branchR2(0:0))
    call avR2(658, 0, 472, 1, 0, SSFFa0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2507, nGC_2507])

    allocate(vertices(659)%branchR2(0:1))
    call avR2(659, 0, 619, 1, 0, FVSSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(659, 1, 620, 1, 0, FVSSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(660)%branchR2(0:1))
    call avR2(660, 0, 498, 1, 0, FaVFS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(660, 1, 499, 1, 0, FaVFS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(661)%branchR2(0:1))
    call avR2(661, 0, 587, 1, 0, FaSVFS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(661, 1, 588, 1, 0, FaSVFS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(662)%branchR2(0:1))
    call avR2(662, 0, 651, 1, 0, SFaVFS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(662, 1, 652, 1, 0, SFaVFS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(663)%branchR2(0:1))
    call avR2(663, 0, 559, 1, 0, VSFFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(663, 1, 560, 1, 0, VSFFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(664)%branchR2(0:1))
    call avR2(664, 0, 494, 1, 0, VFSFa0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(664, 1, 495, 1, 0, VFSFa0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(665)%branchR2(0:1))
    call avR2(665, 0, 530, 1, 0, FSFaV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(665, 1, 531, 1, 0, FSFaV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(666)%branchR2(0:1))
    call avR2(666, 0, 506, 1, 0, FaFSV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(666, 1, 507, 1, 0, FaFSV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(667)%branchR2(0:1))
    call avR2(667, 0, 653, 1, 0, SFaFSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(667, 1, 654, 1, 0, SFaFSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(62)%branchR2(0:1))
    call avR2(62, 0, 243, 1, 0, VVVSS1, 2, [5, 2], [nGC_2532, nGC_2531])

    call avR2(62, 1, 244, 1, 0, VVVSS1, 2, [5, 2], [nGC_2534, nGC_2533])

    allocate(vertices(668)%branchR2(0:1))
    call avR2(668, 0, 514, 1, 0, SFFaV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(668, 1, 515, 1, 0, SFFaV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(669)%branchR2(0:1))
    call avR2(669, 0, 520, 1, 0, FVFaS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(669, 1, 521, 1, 0, FVFaS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(670)%branchR2(0:1))
    call avR2(670, 0, 621, 1, 0, FVSFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(670, 1, 622, 1, 0, FVSFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(671)%branchR2(0:1))
    call avR2(671, 0, 657, 1, 0, SFaSVF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(671, 1, 658, 1, 0, SFaSVF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(672)%branchR2(0:0))
    call avR2(672, 0, 462, 1, 0, SFFa0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2488, nGC_2488])

    allocate(vertices(673)%branchR2(0:1))
    call avR2(673, 0, 573, 1, 0, VFaSFS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(673, 1, 574, 1, 0, VFaSFS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(674)%branchR2(0:1))
    call avR2(674, 0, 583, 1, 0, FaSFSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(674, 1, 584, 1, 0, FaSFSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(675)%branchR2(0:1))
    call avR2(675, 0, 599, 1, 0, FaVFSS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(675, 1, 600, 1, 0, FaVFSS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(676)%branchR2(0:1))
    call avR2(676, 0, 575, 1, 0, VFaFSS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(676, 1, 576, 1, 0, VFaFSS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(677)%branchR2(0:1))
    call avR2(677, 0, 567, 1, 0, VFSFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(677, 1, 568, 1, 0, VFSFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(206)%branchR2(0:1))
    call avR2(206, 0, 97, 1, 0, FaVF0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(206, 1, 98, 1, 0, FaVF0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(678)%branchR2(0:1))
    call avR2(678, 0, 631, 1, 0, SSFaFV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(678, 1, 632, 1, 0, SSFaFV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(679)%branchR2(0:1))
    call avR2(679, 0, 553, 1, 0, VSSFFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(679, 1, 554, 1, 0, VSSFFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(680)%branchR2(0:1))
    call avR2(680, 0, 506, 1, 0, FaFSV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(680, 1, 507, 1, 0, FaFSV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(681)%branchR2(0:0))
    call avR2(681, 0, 480, 1, 0, SFSFa0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2503, nGC_2503])

    allocate(vertices(682)%branchR2(0:1))
    call avR2(682, 0, 506, 1, 0, FaFSV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(682, 1, 507, 1, 0, FaFSV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(683)%branchR2(0:1))
    call avR2(683, 0, 589, 1, 0, FaFSVS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(683, 1, 590, 1, 0, FaFSVS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(684)%branchR2(0:1))
    call avR2(684, 0, 637, 1, 0, SFVSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(684, 1, 638, 1, 0, SFVSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(685)%branchR2(0:1))
    call avR2(685, 0, 516, 1, 0, SFaVF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(685, 1, 517, 1, 0, SFaVF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(686)%branchR2(0:1))
    call avR2(686, 0, 621, 1, 0, FVSFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(686, 1, 622, 1, 0, FVSFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(687)%branchR2(0:0))
    call avR2(687, 0, 475, 1, 0, FaFSS0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2508, nGC_2508])

    allocate(vertices(38)%branchR2(0:1))
    call avR2(38, 0, 99, 1, 0, FaFV0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(38, 1, 100, 1, 0, FaFV0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(688)%branchR2(0:1))
    call avR2(688, 0, 579, 1, 0, FaSSFV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(688, 1, 580, 1, 0, FaSSFV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(689)%branchR2(0:1))
    call avR2(689, 0, 502, 1, 0, FaSFV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(689, 1, 503, 1, 0, FaSFV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(690)%branchR2(0:1))
    call avR2(690, 0, 611, 1, 0, FSVFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(690, 1, 612, 1, 0, FSVFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(10)%branchR2(0:16))
    call avR2(10, 0, 81, 1, 0, VVVSV0, 4, [6, 1], [nGC_2550, nGC_2549, nGC_2548&
    ])

    call avR2(10, 1, 82, 1, 0, VVVSV0, 4, [6, 1], [nGC_2552, nGC_2552, nGC_2551&
    ])

    call avR2(10, 2, 83, 1, 0, VVVSV0, 4, [6, 1], [nGC_2537, nGC_2536, nGC_2535&
    ])

    call avR2(10, 3, 84, 1, 0, VVVSV0, 4, [6, 1], [nGC_2537, nGC_2536, nGC_2535&
    ])

    call avR2(10, 4, 85, 1, 0, VVVSV0, 4, [6, 1], [nGC_2552, nGC_2552, nGC_2551&
    ])

    call avR2(10, 5, 86, 1, 0, VVVSV0, 4, [6, 1], [nGC_2550, nGC_2549, nGC_2548&
    ])

    call avR2(10, 6, 720, 1, 0, VVVSV0, 4, [6, 1], [nGC_2540, nGC_2539,        &
    nGC_2538])

    call avR2(10, 7, 721, 1, 0, VVVSV0, 4, [6, 1], [nGC_2540, nGC_2539,        &
    nGC_2538])

    call avR2(10, 8, 722, 1, 0, VVVSV0, 4, [6, 1], [nGC_2543, nGC_2547,        &
    nGC_2544])

    call avR2(10, 9, 723, 1, 0, VVVSV0, 4, [6, 1], [nGC_2540, nGC_2539,        &
    nGC_2538])

    call avR2(10, 10, 724, 1, 0, VVVSV0, 4, [6, 1], [nGC_2546, nGC_2545,       &
    nGC_2544])

    call avR2(10, 11, 725, 1, 0, VVVSV0, 4, [6, 1], [nGC_2543, nGC_2542,       &
    nGC_2541])

    call avR2(10, 12, 726, 1, 0, VVVSV0, 4, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    call avR2(10, 13, 727, 1, 0, VVVSV0, 4, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    call avR2(10, 14, 728, 1, 0, VVVSV0, 4, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    call avR2(10, 15, 729, 1, 0, VVVSV0, 4, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    call avR2(10, 16, 730, 1, 0, VVVSV0, 4, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    allocate(vertices(691)%branchR2(0:1))
    call avR2(691, 0, 619, 1, 0, FVSSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(691, 1, 620, 1, 0, FVSSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(692)%branchR2(0:1))
    call avR2(692, 0, 575, 1, 0, VFaFSS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(692, 1, 576, 1, 0, VFaFSS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(693)%branchR2(0:1))
    call avR2(693, 0, 490, 1, 0, VSFaF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(693, 1, 491, 1, 0, VSFaF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(694)%branchR2(0:1))
    call avR2(694, 0, 667, 1, 0, SVFFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(694, 1, 668, 1, 0, SVFFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(695)%branchR2(0:1))
    call avR2(695, 0, 615, 1, 0, FFaSSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(695, 1, 616, 1, 0, FFaSSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(696)%branchR2(0:1))
    call avR2(696, 0, 587, 1, 0, FaSVFS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(696, 1, 588, 1, 0, FaSVFS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(697)%branchR2(0:1))
    call avR2(697, 0, 667, 1, 0, SVFFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(697, 1, 668, 1, 0, SVFFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(698)%branchR2(0:1))
    call avR2(698, 0, 559, 1, 0, VSFFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(698, 1, 560, 1, 0, VSFFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(699)%branchR2(0:1))
    call avR2(699, 0, 593, 1, 0, FaFVSS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(699, 1, 594, 1, 0, FaFVSS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(111)%branchR2(0:1))
    call avR2(111, 0, 95, 1, 0, FVFa0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(111, 1, 96, 1, 0, FVFa0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(700)%branchR2(0:1))
    call avR2(700, 0, 512, 1, 0, SFVFa0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(700, 1, 513, 1, 0, SFVFa0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(701)%branchR2(0:1))
    call avR2(701, 0, 617, 1, 0, FFaVSS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(701, 1, 618, 1, 0, FFaVSS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(702)%branchR2(0:1))
    call avR2(702, 0, 510, 1, 0, SVFaF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(702, 1, 511, 1, 0, SVFaF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(703)%branchR2(0:1))
    call avR2(703, 0, 671, 1, 0, SVFaFS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(703, 1, 672, 1, 0, SVFaFS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(105)%branchR2(0:16))
    call avR2(105, 0, 75, 1, 0, VVVSV0, 2, [6, 1], [nGC_2550, nGC_2549,        &
    nGC_2548])

    call avR2(105, 1, 76, 1, 0, VVVSV0, 2, [6, 1], [nGC_2552, nGC_2552,        &
    nGC_2551])

    call avR2(105, 2, 77, 1, 0, VVVSV0, 2, [6, 1], [nGC_2537, nGC_2536,        &
    nGC_2535])

    call avR2(105, 3, 78, 1, 0, VVVSV0, 2, [6, 1], [nGC_2537, nGC_2536,        &
    nGC_2535])

    call avR2(105, 4, 79, 1, 0, VVVSV0, 2, [6, 1], [nGC_2552, nGC_2552,        &
    nGC_2551])

    call avR2(105, 5, 80, 1, 0, VVVSV0, 2, [6, 1], [nGC_2550, nGC_2549,        &
    nGC_2548])

    call avR2(105, 6, 709, 1, 0, VVVSV0, 2, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    call avR2(105, 7, 710, 1, 0, VVVSV0, 2, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    call avR2(105, 8, 711, 1, 0, VVVSV0, 2, [6, 1], [nGC_2543, nGC_2547,       &
    nGC_2544])

    call avR2(105, 9, 712, 1, 0, VVVSV0, 2, [6, 1], [nGC_2540, nGC_2539,       &
    nGC_2538])

    call avR2(105, 10, 713, 1, 0, VVVSV0, 2, [6, 1], [nGC_2546, nGC_2545,      &
    nGC_2544])

    call avR2(105, 11, 714, 1, 0, VVVSV0, 2, [6, 1], [nGC_2543, nGC_2542,      &
    nGC_2541])

    call avR2(105, 12, 715, 1, 0, VVVSV0, 2, [6, 1], [nGC_2540, nGC_2539,      &
    nGC_2538])

    call avR2(105, 13, 716, 1, 0, VVVSV0, 2, [6, 1], [nGC_2540, nGC_2539,      &
    nGC_2538])

    call avR2(105, 14, 717, 1, 0, VVVSV0, 2, [6, 1], [nGC_2540, nGC_2539,      &
    nGC_2538])

    call avR2(105, 15, 718, 1, 0, VVVSV0, 2, [6, 1], [nGC_2540, nGC_2539,      &
    nGC_2538])

    call avR2(105, 16, 719, 1, 0, VVVSV0, 2, [6, 1], [nGC_2540, nGC_2539,      &
    nGC_2538])

    allocate(vertices(704)%branchR2(0:1))
    call avR2(704, 0, 528, 1, 0, FSVFa0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(704, 1, 529, 1, 0, FSVFa0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(705)%branchR2(0:1))
    call avR2(705, 0, 607, 1, 0, FSFaSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(705, 1, 608, 1, 0, FSFaSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(706)%branchR2(0:1))
    call avR2(706, 0, 615, 1, 0, FFaSSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(706, 1, 616, 1, 0, FFaSSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(707)%branchR2(0:1))
    call avR2(707, 0, 498, 1, 0, FaVFS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(707, 1, 499, 1, 0, FaVFS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(708)%branchR2(0:1))
    call avR2(708, 0, 661, 1, 0, SVSFFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(708, 1, 662, 1, 0, SVSFFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(227)%branchR2(0:1))
    call avR2(227, 0, 417, 1, 0, SVVVS1, 0, [5, 2], [nGC_2532, nGC_2531])

    call avR2(227, 1, 418, 1, 0, SVVVS1, 0, [5, 2], [nGC_2534, nGC_2533])

    allocate(vertices(221)%branchR2(0:1))
    call avR2(221, 0, 101, 1, 0, VFFa0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(221, 1, 102, 1, 0, VFFa0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(709)%branchR2(0:1))
    call avR2(709, 0, 649, 1, 0, SFaVSF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(709, 1, 650, 1, 0, SFaVSF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(710)%branchR2(0:1))
    call avR2(710, 0, 569, 1, 0, VFFaSS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(710, 1, 570, 1, 0, VFFaSS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(711)%branchR2(0:1))
    call avR2(711, 0, 490, 1, 0, VSFaF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(711, 1, 491, 1, 0, VSFaF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(712)%branchR2(0:1))
    call avR2(712, 0, 613, 1, 0, FFaSVS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(712, 1, 614, 1, 0, FFaSVS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(713)%branchR2(0:1))
    call avR2(713, 0, 589, 1, 0, FaFSVS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(713, 1, 590, 1, 0, FaFSVS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(67)%branchR2(0:1))
    call avR2(67, 0, 95, 1, 0, FVFa0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(67, 1, 96, 1, 0, FVFa0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(714)%branchR2(0:1))
    call avR2(714, 0, 565, 1, 0, VFSSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(714, 1, 566, 1, 0, VFSSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(715)%branchR2(0:1))
    call avR2(715, 0, 625, 1, 0, SSVFaF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(715, 1, 626, 1, 0, SSVFaF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(716)%branchR2(0:1))
    call avR2(716, 0, 504, 1, 0, FaFVS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(716, 1, 505, 1, 0, FaFVS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(717)%branchR2(0:1))
    call avR2(717, 0, 500, 1, 0, FaSVF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(717, 1, 501, 1, 0, FaSVF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(718)%branchR2(0:1))
    call avR2(718, 0, 601, 1, 0, FSSVFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(718, 1, 602, 1, 0, FSSVFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(719)%branchR2(0:1))
    call avR2(719, 0, 641, 1, 0, SFFaSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(719, 1, 642, 1, 0, SFFaSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(720)%branchR2(0:1))
    call avR2(720, 0, 609, 1, 0, FSVSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(720, 1, 610, 1, 0, FSVSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(721)%branchR2(0:1))
    call avR2(721, 0, 555, 1, 0, VSSFaF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(721, 1, 556, 1, 0, VSSFaF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(722)%branchR2(0:0))
    call avR2(722, 0, 466, 1, 0, FaSF0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2488, nGC_2488])

    allocate(vertices(723)%branchR2(0:1))
    call avR2(723, 0, 627, 1, 0, SSVFFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(723, 1, 628, 1, 0, SSVFFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(724)%branchR2(0:1))
    call avR2(724, 0, 524, 1, 0, FFaVS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(724, 1, 525, 1, 0, FFaVS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(725)%branchR2(0:0))
    call avR2(725, 0, 464, 1, 0, FSFa0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2491, nGC_2491])

    allocate(vertices(726)%branchR2(0:1))
    call avR2(726, 0, 553, 1, 0, VSSFFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(726, 1, 554, 1, 0, VSSFFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(727)%branchR2(0:0))
    call avR2(727, 0, 467, 1, 0, FaFS0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2489, nGC_2489])

    allocate(vertices(728)%branchR2(0:1))
    call avR2(728, 0, 579, 1, 0, FaSSFV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(728, 1, 580, 1, 0, FaSSFV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(280)%branchR2(0:1))
    call avR2(280, 0, 10, 1, 0, FFaV0, 0, [3, 0], [nGC_2498, nGC_2498])

    call avR2(280, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_2497, nGC_2497])

    allocate(vertices(729)%branchR2(0:1))
    call avR2(729, 0, 583, 1, 0, FaSFSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(729, 1, 584, 1, 0, FaSFSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(730)%branchR2(0:1))
    call avR2(730, 0, 575, 1, 0, VFaFSS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(730, 1, 576, 1, 0, VFaFSS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(731)%branchR2(0:1))
    call avR2(731, 0, 643, 1, 0, SFFaVS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(731, 1, 644, 1, 0, SFFaVS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(732)%branchR2(0:1))
    call avR2(732, 0, 641, 1, 0, SFFaSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(732, 1, 642, 1, 0, SFFaSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(61)%branchR2(0:1))
    call avR2(61, 0, 95, 1, 0, FVFa0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(61, 1, 96, 1, 0, FVFa0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(733)%branchR2(0:1))
    call avR2(733, 0, 607, 1, 0, FSFaSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(733, 1, 608, 1, 0, FSFaSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(734)%branchR2(0:0))
    call avR2(734, 0, 474, 1, 0, FaSFS0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2508, nGC_2508])

    allocate(vertices(735)%branchR2(0:0))
    call avR2(735, 0, 464, 1, 0, FSFa0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2488, nGC_2488])

    allocate(vertices(736)%branchR2(0:1))
    call avR2(736, 0, 659, 1, 0, SFaSFV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(736, 1, 660, 1, 0, SFaSFV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(737)%branchR2(0:1))
    call avR2(737, 0, 516, 1, 0, SFaVF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(737, 1, 517, 1, 0, SFaVF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(738)%branchR2(0:0))
    call avR2(738, 0, 473, 1, 0, FaSSF0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2503, nGC_2503])

    allocate(vertices(739)%branchR2(0:1))
    call avR2(739, 0, 649, 1, 0, SFaVSF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(739, 1, 650, 1, 0, SFaVSF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(740)%branchR2(0:1))
    call avR2(740, 0, 557, 1, 0, VSFSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(740, 1, 558, 1, 0, VSFSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(741)%branchR2(0:1))
    call avR2(741, 0, 609, 1, 0, FSVSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(741, 1, 610, 1, 0, FSVSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(742)%branchR2(0:1))
    call avR2(742, 0, 615, 1, 0, FFaSSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(742, 1, 616, 1, 0, FFaSSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(743)%branchR2(0:1))
    call avR2(743, 0, 510, 1, 0, SVFaF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(743, 1, 511, 1, 0, SVFaF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(744)%branchR2(0:1))
    call avR2(744, 0, 663, 1, 0, SVSFaF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(744, 1, 664, 1, 0, SVSFaF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(745)%branchR2(0:1))
    call avR2(745, 0, 603, 1, 0, FSSFaV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(745, 1, 604, 1, 0, FSSFaV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(746)%branchR2(0:1))
    call avR2(746, 0, 631, 1, 0, SSFaFV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(746, 1, 632, 1, 0, SSFaFV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(747)%branchR2(0:1))
    call avR2(747, 0, 599, 1, 0, FaVFSS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(747, 1, 600, 1, 0, FaVFSS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(748)%branchR2(0:1))
    call avR2(748, 0, 661, 1, 0, SVSFFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(748, 1, 662, 1, 0, SVSFFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(749)%branchR2(0:1))
    call avR2(749, 0, 557, 1, 0, VSFSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(749, 1, 558, 1, 0, VSFSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(750)%branchR2(0:1))
    call avR2(750, 0, 522, 1, 0, FVSFa0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(750, 1, 523, 1, 0, FVSFa0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(751)%branchR2(0:1))
    call avR2(751, 0, 601, 1, 0, FSSVFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(751, 1, 602, 1, 0, FSSVFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(752)%branchR2(0:1))
    call avR2(752, 0, 484, 1, 0, VSFFa0, 0, [5, 1], [nGC_2505, nGC_2505])

    call avR2(752, 1, 485, 1, 0, VSFFa0, 0, [5, 1], [nGC_2506, nGC_2506])

    allocate(vertices(753)%branchR2(0:0))
    call avR2(753, 0, 465, 1, 0, FFaS0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2491, nGC_2491])

    allocate(vertices(754)%branchR2(0:0))
    call avR2(754, 0, 476, 1, 0, SFaSF0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2507, nGC_2507])

    allocate(vertices(755)%branchR2(0:1))
    call avR2(755, 0, 657, 1, 0, SFaSVF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(755, 1, 658, 1, 0, SFaSVF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(756)%branchR2(0:1))
    call avR2(756, 0, 504, 1, 0, FaFVS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(756, 1, 505, 1, 0, FaFVS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(757)%branchR2(0:1))
    call avR2(757, 0, 635, 1, 0, SSFFaV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(757, 1, 636, 1, 0, SSFFaV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(758)%branchR2(0:1))
    call avR2(758, 0, 577, 1, 0, FaSSVF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(758, 1, 578, 1, 0, FaSSVF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(759)%branchR2(0:1))
    call avR2(759, 0, 589, 1, 0, FaFSVS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(759, 1, 590, 1, 0, FaFSVS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(760)%branchR2(0:1))
    call avR2(760, 0, 653, 1, 0, SFaFSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(760, 1, 654, 1, 0, SFaFSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(761)%branchR2(0:1))
    call avR2(761, 0, 530, 1, 0, FSFaV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(761, 1, 531, 1, 0, FSFaV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(762)%branchR2(0:0))
    call avR2(762, 0, 467, 1, 0, FaFS0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2491, nGC_2491])

    allocate(vertices(93)%branchR2(0:1))
    call avR2(93, 0, 245, 1, 0, VVVSS1, 4, [5, 2], [nGC_2532, nGC_2531])

    call avR2(93, 1, 246, 1, 0, VVVSS1, 4, [5, 2], [nGC_2534, nGC_2533])

    allocate(vertices(763)%branchR2(0:1))
    call avR2(763, 0, 601, 1, 0, FSSVFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(763, 1, 602, 1, 0, FSSVFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(764)%branchR2(0:0))
    call avR2(764, 0, 482, 1, 0, FSSFa0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2504, nGC_2504])

    allocate(vertices(292)%branchR2(0:0))
    call avR2(292, 0, 72, 1, 0, FFa0, 0, [2, 0], [nGC_2475, nGC_2475, nGC_2476 &
    , nGC_2476])

    allocate(vertices(765)%branchR2(0:1))
    call avR2(765, 0, 605, 1, 0, FSFaVS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(765, 1, 606, 1, 0, FSFaVS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(766)%branchR2(0:1))
    call avR2(766, 0, 561, 1, 0, VSFaSF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(766, 1, 562, 1, 0, VSFaSF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(767)%branchR2(0:1))
    call avR2(767, 0, 502, 1, 0, FaSFV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(767, 1, 503, 1, 0, FaSFV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(768)%branchR2(0:1))
    call avR2(768, 0, 514, 1, 0, SFFaV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(768, 1, 515, 1, 0, SFFaV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(769)%branchR2(0:1))
    call avR2(769, 0, 669, 1, 0, SVFaSF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(769, 1, 670, 1, 0, SVFaSF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(79)%branchR2(0:1))
    call avR2(79, 0, 97, 1, 0, FaVF0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(79, 1, 98, 1, 0, FaVF0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(770)%branchR2(0:1))
    call avR2(770, 0, 601, 1, 0, FSSVFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(770, 1, 602, 1, 0, FSSVFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(94)%branchR2(0:1))
    call avR2(94, 0, 97, 1, 0, FaVF0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(94, 1, 98, 1, 0, FaVF0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(771)%branchR2(0:0))
    call avR2(771, 0, 479, 1, 0, SFFaS0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2508, nGC_2508])

    allocate(vertices(772)%branchR2(0:1))
    call avR2(772, 0, 665, 1, 0, SVFSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(772, 1, 666, 1, 0, SVFSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(773)%branchR2(0:0))
    call avR2(773, 0, 477, 1, 0, SFaFS0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2503, nGC_2503])

    allocate(vertices(211)%branchR2(0:1))
    call avR2(211, 0, 22, 1, 0, VSV1, 0, [4, 1], [nGC_2496, nGC_2496, nGC_2495])

    call avR2(211, 1, 23, 1, 0, VSV1, 0, [4, 1], [nGC_2494, nGC_2494, nGC_2493])

    allocate(vertices(774)%branchR2(0:1))
    call avR2(774, 0, 522, 1, 0, FVSFa0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(774, 1, 523, 1, 0, FVSFa0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(775)%branchR2(0:1))
    call avR2(775, 0, 518, 1, 0, SFaFV0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(775, 1, 519, 1, 0, SFaFV0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(197)%branchR2(0:1))
    call avR2(197, 0, 10, 1, 0, FFaV0, 0, [3, 0], [nGC_2498, nGC_2498])

    call avR2(197, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_2497, nGC_2497])

    allocate(vertices(776)%branchR2(0:1))
    call avR2(776, 0, 641, 1, 0, SFFaSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(776, 1, 642, 1, 0, SFFaSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(777)%branchR2(0:1))
    call avR2(777, 0, 579, 1, 0, FaSSFV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(777, 1, 580, 1, 0, FaSSFV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(778)%branchR2(0:1))
    call avR2(778, 0, 659, 1, 0, SFaSFV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(778, 1, 660, 1, 0, SFaSFV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(779)%branchR2(0:1))
    call avR2(779, 0, 609, 1, 0, FSVSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(779, 1, 610, 1, 0, FSVSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(780)%branchR2(0:1))
    call avR2(780, 0, 520, 1, 0, FVFaS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(780, 1, 521, 1, 0, FVFaS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(53)%branchR2(0:1))
    call avR2(53, 0, 145, 1, 0, SVVV1, 0, [5, 1], [nGC_2517, nGC_2518])

    call avR2(53, 1, 146, 1, 0, SVVV1, 0, [5, 1], [nGC_2516, nGC_2515])

    allocate(vertices(781)%branchR2(0:0))
    call avR2(781, 0, 467, 1, 0, FaFS0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2488, nGC_2488])

    allocate(vertices(155)%branchR2(0:1))
    call avR2(155, 0, 50, 1, 0, VVSSV1, 0, [5, 2], [nGC_2531, nGC_2532])

    call avR2(155, 1, 51, 1, 0, VVSSV1, 0, [5, 2], [nGC_2533, nGC_2534])

    allocate(vertices(782)%branchR2(0:1))
    call avR2(782, 0, 522, 1, 0, FVSFa0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(782, 1, 523, 1, 0, FVSFa0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(783)%branchR2(0:1))
    call avR2(783, 0, 557, 1, 0, VSFSFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(783, 1, 558, 1, 0, VSFSFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(784)%branchR2(0:0))
    call avR2(784, 0, 475, 1, 0, FaFSS0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2507, nGC_2507])

    allocate(vertices(785)%branchR2(0:0))
    call avR2(785, 0, 482, 1, 0, FSSFa0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2501, nGC_2501])

    allocate(vertices(786)%branchR2(0:1))
    call avR2(786, 0, 621, 1, 0, FVSFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(786, 1, 622, 1, 0, FVSFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(787)%branchR2(0:0))
    call avR2(787, 0, 466, 1, 0, FaSF0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2490, nGC_2490])

    allocate(vertices(124)%branchR2(0:1))
    call avR2(124, 0, 89, 1, 0, SVVS1, 0, [4, 2], [nGC_2513, nGC_2514, nGC_2512&
    ])

    call avR2(124, 1, 90, 1, 0, SVVS1, 0, [4, 2], [nGC_2510, nGC_2511, nGC_2509&
    ])

    allocate(vertices(788)%branchR2(0:0))
    call avR2(788, 0, 462, 1, 0, SFFa0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2491, nGC_2491])

    allocate(vertices(789)%branchR2(0:1))
    call avR2(789, 0, 486, 1, 0, VFaSF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(789, 1, 487, 1, 0, VFaSF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(121)%branchR2(0:1))
    call avR2(121, 0, 95, 1, 0, FVFa0, 0, [3, 0], [nGC_2497, nGC_2497])

    call avR2(121, 1, 96, 1, 0, FVFa0, 0, [3, 0], [nGC_2498, nGC_2498])

    allocate(vertices(790)%branchR2(0:1))
    call avR2(790, 0, 559, 1, 0, VSFFaS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(790, 1, 560, 1, 0, VSFFaS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(791)%branchR2(0:0))
    call avR2(791, 0, 472, 1, 0, SSFFa0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2501, nGC_2501])

    allocate(vertices(792)%branchR2(0:0))
    call avR2(792, 0, 465, 1, 0, FFaS0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2492, nGC_2492])

    allocate(vertices(793)%branchR2(0:1))
    call avR2(793, 0, 571, 1, 0, VFaSSF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(793, 1, 572, 1, 0, VFaSSF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(794)%branchR2(0:0))
    call avR2(794, 0, 478, 1, 0, SSFaF0, 0, [4, 2], [nGC_2502, nGC_2502,       &
    nGC_2504, nGC_2504])

    allocate(vertices(795)%branchR2(0:1))
    call avR2(795, 0, 645, 1, 0, SFSVFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(795, 1, 646, 1, 0, SFSVFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(796)%branchR2(0:1))
    call avR2(796, 0, 625, 1, 0, SSVFaF0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(796, 1, 626, 1, 0, SSVFaF0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(797)%branchR2(0:1))
    call avR2(797, 0, 500, 1, 0, FaSVF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(797, 1, 501, 1, 0, FaSVF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(798)%branchR2(0:1))
    call avR2(798, 0, 627, 1, 0, SSVFFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(798, 1, 628, 1, 0, SSVFFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(799)%branchR2(0:0))
    call avR2(799, 0, 464, 1, 0, FSFa0, 0, [4, 1], [nGC_2487, nGC_2487,        &
    nGC_2489, nGC_2489])

    allocate(vertices(800)%branchR2(0:1))
    call avR2(800, 0, 653, 1, 0, SFaFSV0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(800, 1, 654, 1, 0, SFaFSV0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(801)%branchR2(0:1))
    call avR2(801, 0, 498, 1, 0, FaVFS0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(801, 1, 499, 1, 0, FaVFS0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(802)%branchR2(0:1))
    call avR2(802, 0, 643, 1, 0, SFFaVS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(802, 1, 644, 1, 0, SFFaVS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(803)%branchR2(0:1))
    call avR2(803, 0, 496, 1, 0, FaVSF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(803, 1, 497, 1, 0, FaVSF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(804)%branchR2(0:1))
    call avR2(804, 0, 587, 1, 0, FaSVFS0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(804, 1, 588, 1, 0, FaSVFS0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(805)%branchR2(0:1))
    call avR2(805, 0, 633, 1, 0, SSFVFa0, 0, [5, 2], [nGC_2529, nGC_2529])

    call avR2(805, 1, 634, 1, 0, SSFVFa0, 0, [5, 2], [nGC_2530, nGC_2530])

    allocate(vertices(806)%branchR2(0:1))
    call avR2(806, 0, 500, 1, 0, FaSVF0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(806, 1, 501, 1, 0, FaSVF0, 0, [5, 1], [nGC_2505, nGC_2505])

    allocate(vertices(807)%branchR2(0:1))
    call avR2(807, 0, 528, 1, 0, FSVFa0, 0, [5, 1], [nGC_2506, nGC_2506])

    call avR2(807, 1, 529, 1, 0, FSVFa0, 0, [5, 1], [nGC_2505, nGC_2505])

  end subroutine fill_vertices_mdl2
end module vertices_info2
